# Better Content Warning

This plugin Blocks access to content behind a content warning popup with optional trigger warnings.

---

## Features

- Add a content warning per post or page
- Customize popup text, colors, and button labels
- Optionally show/hide the popup for administrators
- Cookie-based "seen" system (shows once per user per post)

---

## Installation

1. Download or clone this repository into your `/wp-content/plugins/` directory.
    - or, download the zip from the releases tab and upload it from the plugins page.
2. Activate the plugin through the WordPress admin dashboard.
3. Go to **Settings -> Better Content Warning** to customize defaults.
4. Edit any post or page and enable the content warning via the "Better Content Warning" box.

---

## Settings

You can customize:

- Default warning message
- Button text and colors
- Background and font size
- Whether admins see the warning or not

---

## Screenshots

### Settings page

![Settings page for Better Content Warning (Screenshots are from v1.0)](/screenshots/settings-page.png)

### Popup

![What the popup looks like (Screenshots are from v1.0)](/screenshots/popup.png)
